Package org.eclipse.birt.chart.factory

# Class GeneratedChartState

java.lang.Object
org.eclipse.birt.chart.factory.GeneratedChartState

public final class GeneratedChartState extends Object
Maintains state information containing the original chart model and runtime built information based on offscreen computations performed using the `Generator.build(IDisplayServer, Chart, Scriptable, Bounds, RunTimeContext)` method.

## Method Summary

Modifier and Type
Method
Description
`Chart`
`getChartModel()`
Returns an instance of the source chart model associated with the built chart content.
`PlotComputation`
`getComputations()`
Returns an internal class capable of computing the chart content.
`IDisplayServer`
`getDisplayServer()`
Returns an instance of a display server used in building the chart content.
`LinkedHashMap<Series,LegendItemRenderingHints>`
`getRenderers()`
Returns a sorted lookup list of all series renderers.
`RunTimeContext`
`getRunTimeContext()`
Returns an instance of the runtime context used in building the chart.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getRenderers

public LinkedHashMap<Series,LegendItemRenderingHints> getRenderers()
Returns a sorted lookup list of all series renderers.

Returns:
  A sorted lookup list of all series renderers.

### getComputations

public PlotComputation getComputations()
Returns an internal class capable of computing the chart content.

Returns:
  An internal class capable of computing the chart content.

### getDisplayServer

public IDisplayServer getDisplayServer()
Returns an instance of a display server used in building the chart content.

Returns:
  An instance of a display server used in building the chart content.

### getChartModel

public Chart getChartModel()
Returns an instance of the source chart model associated with the built chart content.

Returns:
  An instance of the source chart model associated with the built chart content.

### getRunTimeContext

public RunTimeContext getRunTimeContext()
Returns an instance of the runtime context used in building the chart.

Returns:
  An instance of the runtime context used in building the chart.